# Copyright 2015 by Austin Peters


# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :        Turn Layer OFF In All Scenes (TOLIAS)
# Description : turns selected layer off in all scenes
# Author :      Austin Peters
# Usage :       Select a layer. activate plugin. 
#				layer will be turned off in all scenes.
# Date :        December 15, 2015
# Type :		Geometry creation tool
# History:
#				0.1 (15.Dec.2015) - first alpha version

require 'sketchup.rb'

def tolias
#SETUP THE BASIC VARIABLES
	model=Sketchup.active_model #activate the sketchup model
	#layers = model.layers #gets a list of layers in the model
	pages = model.pages #gets a list of pages in the model
	current_page = pages.selected_page
	current_layer = model.active_layer
	
	#selected_layer = getInput(layers, current_layer)
	selected_layer = current_layer #simple for now
	onward = UI.messagebox("Selected Layer is: "+selected_layer.name+". Continue with operation?", MB_YESNO)
	if onward == IDNO
		return
	end
	pages.each do |page|
		pages.selected_page = page
		selected_layer.visible = false
		page.update(32) #updates the scenes visible layers, that's what the 32 means.
	end
	pages.selected_page = current_page
end

#-----------------------------------------------------------------------------
if( not file_loaded?("TOLIAS.rb") )
    add_separator_to_menu("Plugins")
	# BEGIN CHANGES BY organizerEdit.rb
	if $submenu!=nil
		$submenu.add_item("TOLIAS") { tolias }
	else
		UI.menu("Plugins").add_item("TOLIAS") { tolias }
	end
	# END CHANGES BY organizerEdit.rb
end
#-----------------------------------------------------------------------------
file_loaded("TOLIAS.rb")